<material-button
  raised
  popupSource
  #source="popupSource"
  (trigger)="visible = !visible"
>
  {{value.item1}} ~ {{value.item2}}
</material-button>
<material-popup
  [source]="source"
  defaultPopupSizeProvider
  [(visible)]="visible"
>
  <div class="control-panel">
    <div style="display: inline-block">{{value.item1}} ~ {{value.item2}}</div>
    <material-button dense (trigger)="visible=false">close</material-button>
    <br />
    <material-slider
      class="min-slider"
      [value]="value?.item1"
      [min]="limit.item1"
      [max]="limit.item2"
      (valueChange)="lowerSliderChange"
    >
    </material-slider>
    <br />
    <material-slider
      class="max-slider"
      [value]="value?.item2"
      [min]="limit.item1"
      [max]="limit.item2"
      (valueChange)="upperSliderChange"
    >
    </material-slider>
  </div>
</material-popup>
